// pages/expressMsgList/expressMsgList.js
const app = getApp()
import {logistics} from "../../../api/medinceOrder"
Page({

  /**
   * 页面的初始数据
   */
  data: {
   express:null,
   logistics_no:'',
   img_host:'https://oss.prod.applets.igandanyiyuan.com/applet/patient/static'
  },
  copy(event){
    let text=event.target.dataset.text;
    wx.setClipboardData({
      data:text
    })
  },
  getLogistics(){
    let {logistics_no}=this.data;
    logistics(logistics_no).then(data=>{
     this.setData({
      express:data
     })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if(options.logistics_no){
      this.setData({
        logistics_no:options.logistics_no
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.setData({
      img_host:app.hostConfig().imghost
    });
    this.getLogistics();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  
})